{ Declarations for using LLAP included}                     %end %of %list

%external %routine %spec first cell number %alias "LLAP_FIRST_CELL_NUMBER" (%integer num)
%external %routine %spec set lambda        %alias "LLAP_SET_LAMBDA"        (%integer lambda)
%external %routine %spec get lambda        %alias "LLAP_GET_LAMBDA"        (%integer %name lambda)
%external %routine %spec set error stream  %alias "LLAP_SET_ERROR_STREAM"  (%integer ST)
%external %routine %spec set cif stream    %alias "LLAP_SET_CIF_STREAM"    (%integer ST)
%external %routine %spec close cif stream  %alias "LLAP_CLOSE_CIF_STREAM"
%external %routine %spec give statistics   %alias "LLAP_GIVE_STATISTICS"
%external %routine %spec update mbb        %alias "LLAP_UPDATE_MBB"        (%integer XL, YB, XR, YT)
%external %routine %spec fix mbb           %alias "LLAP_FIX_MBB"           (%integer XL, YB, XR, YT)
%external %routine %spec warning           %alias "LLAP_WARNING"           (%string (255) message)
%external %integer %fn %spec LLAP warnings %alias "LLAP_WARNINGS"
%external %integer %map %spec LLAP control %alias "LLAP_CONTROL"
%constant %integer    no warnings = 1
%constant %integer monitor endsym = 2
%constant %integer     give times = 4

%external %routine %spec end symbol           %alias "LLAP_END_SYMBOL"
%external %routine %spec symbol               %alias "LLAP_SYMBOL"          (%string (31) name)
%external %routine %spec symbol spec          %alias "LLAP_SYMBOL_SPEC"     (%string (31) name, %integer xl, yl, xu, yu)
%external %routine %spec external symbol      %alias "LLAP_EXTERNAL_SYMBOL" (%string (31) name, %integer number)
%external %routine %spec external symbol spec %alias "LLAP_EXTERNAL_SYMBOL_SPEC" -
   (%string (31) name, %integer number, %integer xl, yl, xu, yu)
%external %predicate %spec symbol exists      %alias "LLAP_SYMBOL_EXISTS"   (%string (31) name)

%external %routine %spec box     %alias "LLAP_BOX"     (%integer xl, yl, xu, yu)
%external %routine %spec polygon %alias "LLAP_POLYGON" (%integer x, y)
%external %routine %spec line    %alias "LLAP_LINE"    (%integer x, y)
%external %routine %spec ax      %alias "LLAP_AX"      (%integer u)
%external %routine %spec ay      %alias "LLAP_AY"      (%integer v)
%external %routine %spec axy     %alias "LLAP_AXY"     (%integer x, y)
%external %routine %spec dx      %alias "LLAP_DX"      (%integer u)
%external %routine %spec dy      %alias "LLAP_DY"      (%integer v)
%external %routine %spec dxy     %alias "LLAP_DXY"     (%integer x, y)

%external %routine %spec              layer  %alias "LLAP_LAYER" (%string (4) colour)
%external %string (4) %function %spec clayer %alias "LLAP_CLAYER"

%external %routine %spec cif comment   %alias "LLAP_CIF_COMMENT"   (%string (255) s)
%external %routine %spec cif statement %alias "LLAP_CIF_STATEMENT" (%string (255) s)

%external %routine %spec draw        %alias "LLAP_DRAW"        (%string (31) name, %integer x, y)
%external %routine %spec drawmx      %alias "LLAP_DRAW_MX"     (%string (31) name, %integer x, y)
%external %routine %spec drawmy      %alias "LLAP_DRAW_MY"     (%string (31) name, %integer x, y)
%external %routine %spec drawrot     %alias "LLAP_DRAW_ROT"    (%string (31) name, %integer x, y, rot)
%external %routine %spec draw angled %alias "LLAP_DRAW_ANGLED" (%string (31) name, %integer x, y, %long %real rot)
%external %routine %spec draw mx rot %alias "LLAP_DRAW_MX_ROT" (%string (31) name, %integer x, y, rot)
%external %routine %spec draw my rot %alias "LLAP_DRAW_MY_ROT" (%string (31) name, %integer x, y, rot)

%external %integer %function %spec SX %alias "LLAP_SX" (%string (31) name)
%external %integer %function %spec SY %alias "LLAP_SY" (%string (31) name)
%external %integer %function %spec LX %alias "LLAP_LX" (%string (31) name)
%external %integer %function %spec LY %alias "LLAP_LY" (%string (31) name)

%external %routine %spec text       %alias "LLAP_TEXT"       (%string (31) name, %string (255) text, %integer xsize, ysize)
%external %routine %spec copyright  %alias "LLAP_COPYRIGHT"  (%string (31) name, %integer xsize, ysize)
%external %routine %spec text layer %alias "LLAP_TEXT_LAYER" (%string (4) layer)
%external %routine %spec Fancy Text (%string (255) Name, Text, Lay, -
 %integer Width, Thick, Rot, Font)

%end %of %file
